/// <reference types="react" />
import { ParseConfig } from 'papaparse';
export interface IFileInfo {
    name: string;
    size: number;
    type: string;
    modifiedAt: number;
}
export interface CSVReaderProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'onError'> {
    strict?: boolean;
    fileEncoding?: string;
    parserOptions?: ParseConfig;
    onError?: (error: Error) => void;
    onFileLoaded: (data: Array<any>, fileInfo: IFileInfo, originalFile?: File) => void;
}
declare const CSVReader: import("react").ForwardRefExoticComponent<CSVReaderProps & import("react").RefAttributes<HTMLInputElement>>;
export default CSVReader;
